## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:            tree-sitter-java
Version:         0.20.1

%global forgeurl https://github.com/tree-sitter/%{name}
%forgemeta
%global libname  lib%{name}
%global summary  Java grammar for Tree-sitter
%global desc     Add support for Java to Tree-sitter, an incremental parsing system for \
programming tools.


Release:        %autorelease
Summary:        %{summary}
License:        MIT
URL:            %{forgeurl}

Source:         %{forgesource}

# https://github.com/tree-sitter/tree-sitter-java/pull/155
Patch1:         0001-Prevent-mangled-URL-in-.pc-file.patch

BuildRequires:  gcc
BuildRequires:  libtree-sitter-devel
BuildRequires:  make

%description
%{desc}


%package -n %{libname}
Summary:        %{summary}
Recommends:     libtree-sitter
Enhances:       libtree-sitter

%description -n %{libname}
%{desc}


%package -n %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel
Libraries and header files for developing applications that use
%{name}.


%prep
%forgeautosetup


%build
%make_build all


%install
%make_install PARSER_REPO_URL=%{forgeurl} \
              PREFIX=%{_prefix} INCLUDEDIR=%{_includedir} LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.a' -delete


%{?ldconfig_scriptlets}


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%{_includedir}/*
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 11 2023 Peter Oliver <git@mavit.org.uk> - 0.20.1-3
- Eliminate rpmlint explicit-lib-dependency error.

* Sat Aug 05 2023 Peter Oliver <git@mavit.org.uk> - 0.20.1-2
- Prevent mangled URL in .pc file.

* Thu May 04 2023 Peter Oliver <git@mavit.org.uk> - 0.20.1-1
- Initial package.
